import { Subject } from "rxjs";
import { StiSignatureElement } from "../elements/StiSignatureElement";
import { StiModelService } from "./model.service";
export declare class SignatureService {
    model: StiModelService;
    textMode: boolean;
    drawingMode: boolean;
    loadedImage: Subject<any>;
    clearButtonClick: Subject<boolean>;
    get currentSignatureElement(): StiSignatureElement;
    get y(): number;
    get x(): number;
    changeDrawingMode(): void;
    changeTextMode(): void;
    clear(): void;
    onFileSelected(event: any): void;
    get isSignature(): boolean;
    constructor(model: StiModelService);
}
